<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Detail Approval Position</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Detail Approval
                </div>
            </div>
        </div>

        <div class="alert alert-success" th:if="${success != null}">
            <h4>Save Data Success!</h4>

            <p>Data Berhasil Disimpan.</p>
        </div>

        <div class="alert alert-danger" th:if="${gagal != null}">
            <h4>Save Data Unsuccesfully!</h4>

            <p>Data Tidak dapat dihapus..</p>
        </div>

        <div class="alert alert-danger" th:if="${gagalkaryawan != null}">
            <h4>Save Data Unsuccesfully!</h4>

            <p>Data Tidak dapat dihapus karena ada karyawan yang menjabat di posisi ini..</p>
        </div>

        <div class="row">
            <div class="col-md-6">
                <table class="table table-primary small">
                    <tbody>
                    <tr>
                        <td th:text="${'Position : ' + jabatan.namaJabatan}"></td>
                    </tr>
                    <tr>
                        <td th:text="${'Position Code : ' + jabatan.kodeJabatan}"></td>
                    </tr>
                    <tr>
                        <td th:text="${'Department : ' + jabatan.departemen.namaDepartemen}"></td>
                    </tr>
                    <tr>
                        <td th:text="${'Department Code : ' + jabatan.departemen.kodeDepartemen}"></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>

<!--        <form method="get">-->
            <div class="row">
                <div class="col-md-6">
                    <!--            <h3 class="box-title">List of Budget Line</h3>-->
                    <p><a class="link-primary" th:href="@{/masterdata/approvaldana/baru(detail = ${jabatan.id})}">Klik disini</a> jika anda ingin menambahkan approval. </p>
                </div>
                <div class="col-md-6" align="right">
                    <a th:href="@{/masterdata/jabatan}" class="btn btn-light" style="--bs-btn-bg: #e8ecf1">BACK</a>
                </div>
            </div>
<!--            <div class="row">-->
<!--                <div class="col-md-9">-->
<!--                    Show entries <span sd:page-size-selector="javascript"></span>-->
<!--                </div>-->

<!--                <div class="col-md-3" align="right">-->
<!--                    <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">-->
<!--                    &lt;!&ndash;                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>&ndash;&gt;-->
<!--                </div>-->
<!--            </div>-->
            <br>
<!--        </form>-->

        <div class="row">
            <div class="col-md-12">
                <div class="tableFixHead">
                    <table class="table table-hover table-striped small">
                        <thead class="table-dark" style="--bs-table-bg:#15408d;">
                        <tr>

                            <th scope="col">No Urut</th>
                            <th scope="col">Position</th>
                            <th scope="col">Minimum</th>
                            <th scope="col">Options</th>
                            <th scope="col" style="width: 40px"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="dataSettingApprovalPengajuanDana,row : ${listSettingApprovalPengajuanDana}">
                            <td th:text="${dataSettingApprovalPengajuanDana.nomorUrut}">BEASISWA</td>
                            <td th:text="${dataSettingApprovalPengajuanDana.jabatanApprove.namaJabatan}">Pendapatan dari Beasiswa</td>
                            <td th:text="${'Rp. ' + #numbers.formatDecimal(dataSettingApprovalPengajuanDana.batasPengajuan, 0, 'POINT', 2, 'COMMA')}">-</td>
                            <td>
                                <a th:href="@{/masterdata/approvaldana/edit(detail = ${dataSettingApprovalPengajuanDana.jabatan.id},id = ${dataSettingApprovalPengajuanDana.id})}" class="link-success">Edit</a>
                            </td>
                            <td>

                                <form method="post" th:action="@{/masterdata/approvaldana/hapus(detail = ${dataSettingApprovalPengajuanDana.jabatan.id},id=${dataSettingApprovalPengajuanDana.id})}">
                                    <button type="submit" class="btn btn-danger" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </main>


</main>

</body>
</html>

<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Position</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->

<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--    <div class="row">-->
<!--        <div class="col-md-12">-->
<!--            <div class="callout callout-info">-->
<!--                <h4 th:text="${'Position : ' + jabatan.namaJabatan}">I am an info callout!</h4>-->
<!--                <p th:text="${'Position Code : ' + jabatan.kodeJabatan}">Follow the steps to continue to payment.</p>-->
<!--                <p th:text="${'Department : ' + jabatan.departemen.namaDepartemen}">Follow the steps to continue to payment.</p>-->
<!--                <p th:text="${'Department Code : ' + jabatan.departemen.kodeDepartemen}">Follow the steps to continue to payment.</p>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--    <div class="row">-->
<!--        <div class="col-md-12">-->
<!--            <div class="nav-tabs-custom">-->
<!--                <ul class="nav nav-tabs">-->
<!--                    <li class="active"><a href="#activity" data-toggle="tab">Approval Fund</a></li>-->
<!--                </ul>-->
<!--                <div class="tab-content">-->
<!--                    <div class="active tab-pane" id="activity">-->
<!--                        <div class="box-header with-border">-->
<!--                            <div class="row">-->
<!--                                <div class="col-md-3">-->
<!--                                    <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                        <a th:href="@{/masterdata/approvaldana/baru(detail = ${jabatan.id})}" name="tambah" type="button" class="btn btn-block btn-primary">+ Approval Fund</a>-->
<!--                                    </div>-->
<!--                                </div>-->

<!--                                <div class="col-md-3">-->
<!--                                    <div class="input-group-btn input-group-sm">-->
<!--                                        <a th:href="@{/masterdata/jabatan}" class="btn btn-default">BACK</a>-->
<!--                                    </div>-->
<!--                                </div>-->

<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="box-body table-responsive no-padding">-->
<!--                            <table class="table table-bordered">-->
<!--                                <tr>-->
<!--                                    <th>No Urut</th>-->
<!--                                    <th>Position</th>-->
<!--                                    <th>Minimum</th>-->
<!--                                    <th>Options</th>-->
<!--                                    <th style="width: 40px"></th>-->
<!--                                </tr>-->


<!--                                <tr th:each="dataSettingApprovalPengajuanDana,row : ${listSettingApprovalPengajuanDana}">-->
<!--                                    <td th:text="${dataSettingApprovalPengajuanDana.nomorUrut}">BEASISWA</td>-->
<!--                                    <td th:text="${dataSettingApprovalPengajuanDana.jabatanApprove.namaJabatan}">Pendapatan dari Beasiswa</td>-->
<!--                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(dataSettingApprovalPengajuanDana.batasPengajuan, 0, 'POINT', 2, 'COMMA')}">-</td>-->
<!--                                    <td>-->
<!--                                        <a th:href="@{/masterdata/approvaldana/edit(detail = ${dataSettingApprovalPengajuanDana.jabatan.id},id = ${dataSettingApprovalPengajuanDana.id})}" class="btn btn-success btn-xs">Edit</a>-->
<!--                                    </td>-->
<!--                                    <td>-->

<!--                                        <form method="post" th:action="@{/masterdata/approvaldana/hapus(detail = ${dataSettingApprovalPengajuanDana.jabatan.id},id=${dataSettingApprovalPengajuanDana.id})}">-->
<!--                                            <button type="submit" class="btn btn-danger btn-xs"-->
<!--                                                    onclick="return confirm('Are you sure want to delete this?')">-->
<!--                                                Delete-->
<!--                                            </button>-->
<!--                                        </form>-->
<!--                                    </td>-->
<!--                                </tr>-->

<!--                                <tr>-->
<!--                                    <th>No Urut</th>-->
<!--                                    <th>Position</th>-->
<!--                                    <th>Minimum</th>-->
<!--                                    <th>Options</th>-->
<!--                                    <th style="width: 40px"></th>-->
<!--                                </tr>-->

<!--                            </table>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.tab-pane &ndash;&gt;-->
<!--                    <div class="tab-pane" id="timeline">-->
<!--                        &lt;!&ndash; The timeline &ndash;&gt;-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.tab-pane &ndash;&gt;-->

<!--                    <div class="tab-pane" id="settings">-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.tab-pane &ndash;&gt;-->
<!--                </div>-->
<!--                &lt;!&ndash; /.tab-content &ndash;&gt;-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->